matrix_traits.h File Reference

Defines properties of matrices used to denote layout and operands to GEMM kernels. More...

`#include "cutlass/cutlass.h"`
Include dependency graph for matrix_traits.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| cutlass

## Enumerations

enum | cutlass::MatrixLayout { cutlass::MatrixLayout::kColumnMajor, cutlass::MatrixLayout::kRowMajor }
enum | cutlass::MatrixTransform { cutlass::MatrixTransform::kNone, cutlass::MatrixTransform::kTranspose, cutlass::MatrixTransform::kConjugate, cutlass::MatrixTransform::kHermitian }
| Transformation applied to matrix operands. More...